Subject: Re: bug#19571: 25.0.50; `display-buffer-alist': ALIST is completely undefined

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Jan 2015 18:07:22 +0200

> Date: Sun, 18 Jan 2015 13:12:03 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > > > ALIST is mentioned only here:
> > > > >
> > > > >  ACTION is a cons cell (FUNCTION . ALIST), where FUNCTION is a
> > > > >   function or a list of functions.  Each such function should
> > > > >   accept two arguments: a buffer to display and an alist of the
> > > > >   same form as ALIST.  See `display-buffer' for details.
> > > > >
> > > > > "of the same form as ALIST"?  Really?  What form is that?  Where is
> > > > > *anything* said about the form of ALIST?
> > > >
> > > > It's an alist.  And you are referred to the documentation of
> > > > 'display-buffer' for details.  I see nothing wrong with that.
> > >
> > > No, you are referred to `display-buffer' for ACTION - for info about
> > > everything in the ACTION paragraph.
> > 
> > Since (see above) "ACTION is a cons cell (FUNCTION . ALIST)",
> > describing ACTION also describes ALIST, which is part of ACTION.  IOW,
> > "everything in the ACTION paragraph" includes ALIST.
> 
> The very next sentence I wrote is key:
> 
>   Nothing says that the ALIST here is related to the ALIST mentioned
>   for `display-buffer', at all.
> 
> That's the point.  If ALIST here is the same as ALIST in the
> `display-buffer' description, then it is sufficient to refer
> to the latter.

It's the same word, and there are no other ALISTs around, so why
wouldn't it be?

We use the same word for the same thing all over the place, and the
last thing I'd imagine is that someone could not understand they mean
the same.

> See above.  If it helps, great.  If not, so be it.  To repeat:
> 
>   But do with the doc string what you like.  If you find it perfectly
>   clear, more power to you.  I'm just reporting that I find it
>   confusing and not so helpful.  HTH.

OK, closing.